//    RDS usb driver PC software main file header
//
// =====================================================
//  Description
//    This file include main header
//       of RDS USB driver of PC software  
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
//=======================================
// Author : G.Laroche www.g.laroche.free.fr
//=======================================
// History:
// 16/07/06    V1.0
//       create
//=======================================

#ifndef RDSUSBDRIVER_H
#define RDSUSBDRIVER_H

#include "usbInterface.h"


void   RdsUsbReadPSRam(usb_dev_handle  * UsbRDSBoard,char * Data);
void   RdsUsbReadRTRam(usb_dev_handle  * UsbRDSBoard,char * Data);
void   RdsUsbReadPTY_TP_TA_MS_DI(usb_dev_handle  * UsbRDSBoard,char * Data,int SelectDest);

void   RdsUsbReadPSE2p(usb_dev_handle  * UsbRDSBoard,char * Data);
void   RdsUsbReadRTE2p(usb_dev_handle  * UsbRDSBoard,char * Data);
void   RdsUsbReadPIE2p(usb_dev_handle  * UsbRDSBoard,char * Data);
void   RdsUsbReadNAFE2p(usb_dev_handle  * UsbRDSBoard,char * Data);
void   RdsUsbReadAFE2p(usb_dev_handle  * UsbRDSBoard,char * Data,int indexAF);

void   RdsUsbRead2AE2p(usb_dev_handle  * UsbRDSBoard,char * Data);
void   RdsUsbReadSTE2p(usb_dev_handle  * UsbRDSBoard,char * Data);


void   RdsUsbWritePSRam(usb_dev_handle  * UsbRDSBoard,char * Data);
void   RdsUsbWriteRTRam(usb_dev_handle  * UsbRDSBoard,char * Data);

void   RdsUsbWritePSE2p(usb_dev_handle  * UsbRDSBoard,char * Data);
void   RdsUsbWriteRTE2p(usb_dev_handle  * UsbRDSBoard,char * Data);
void   RdsUsbWritePTY(usb_dev_handle  * UsbRDSBoard,char * Data,int SelectDest);
void   RdsUsbWriteTP(usb_dev_handle  * UsbRDSBoard,char * Data,int SelectDest);
void   RdsUsbWriteTA(usb_dev_handle  * UsbRDSBoard,char * Data,int SelectDest);
void   RdsUsbWriteMS(usb_dev_handle  * UsbRDSBoard,char * Data,int SelectDest);
void   RdsUsbWriteDI(usb_dev_handle  * UsbRDSBoard,char * Data,int SelectDest);
void   RdsUsbWritePIE2p(usb_dev_handle  * UsbRDSBoard,char * Data);
void   RdsUsbWriteNAFE2p(usb_dev_handle  * UsbRDSBoard,char * Data);
void   RdsUsbWriteAFE2p(usb_dev_handle  * UsbRDSBoard,char * Data,int indexAF);

void   RdsUsbWrite2AE2p(usb_dev_handle  * UsbRDSBoard,char * Data);
void   RdsUsbWriteSTE2p(usb_dev_handle  * UsbRDSBoard,char * Data);

void   RdsUsbWriteDataEdit(usb_dev_handle  *UsbRDSBoard,int WriteCmd,char * Data);

void   RdsUsbResetE2p(usb_dev_handle  *UsbRDSBoard);


#endif


